#include <Wire.h>
#include <Adafruit_NeoPixel.h>

// NeoPixel Setup: 2 LEDs per strip
Adafruit_NeoPixel strip1 = Adafruit_NeoPixel(2, 0, NEO_GRB + NEO_KHZ800);
Adafruit_NeoPixel strip2 = Adafruit_NeoPixel(2, 2, NEO_GRB + NEO_KHZ800);
Adafruit_NeoPixel strip3 = Adafruit_NeoPixel(2, 3, NEO_GRB + NEO_KHZ800);
Adafruit_NeoPixel strip4 = Adafruit_NeoPixel(2, 4, NEO_GRB + NEO_KHZ800);

// Shared Color Palette: White, Light Pink, Light Pastel Teal
uint32_t colors[] = {
  strip1.Color(255, 255, 255),   // White
  strip1.Color(255, 182, 193),   // Light Pink
  strip1.Color(150, 255, 200)    // Light Pastel Teal
};

void setup() {
  strip1.begin(); strip1.show();
  strip2.begin(); strip2.show();
  strip3.begin(); strip3.show();
  strip4.begin(); strip4.show();
}

// Twinkle Effect Across All Strips
void twinkle() {
  for (int i = 0; i < 2; i++) { // 2 pixels per strip
    int colorIndex = random(0, 3);         // Choose random color
    int brightness = random(50, 255);      // Random brightness level

    // Get base color and extract RGB components
    uint32_t c = colors[colorIndex];
    uint8_t r = (uint8_t)(c >> 16);
    uint8_t g = (uint8_t)(c >> 8);
    uint8_t b = (uint8_t)c;

    // Apply brightness scaling
    r = (r * brightness) / 255;
    g = (g * brightness) / 255;
    b = (b * brightness) / 255;

    // Set pixel color on each strip
    strip1.setPixelColor(i, strip1.Color(r, g, b));
    strip2.setPixelColor(i, strip2.Color(r, g, b));
    strip3.setPixelColor(i, strip3.Color(r, g, b));
    strip4.setPixelColor(i, strip4.Color(r, g, b));
  }

  // Show updated values
  strip1.show();
  strip2.show();
  strip3.show();
  strip4.show();

  delay(random(100, 300)); // Twinkle interval
}

void loop() {
  twinkle();
}
